Sign in to follow this  
KostaProkopiu

MCE on XP: SSG 747-8 not detected and supported

Recommended Posts

Hi,

 

I have installed the latest MCE for XP version yesterday just to be sure but apparently the support for the SSG 747-8 does not work. I saw that the support dll does not get installed into the MCE dll folder and no matter what I try I always get the generic Boeing checklist and no specific VoiceScripts. The VCP cannot change the headings etc and none of the commands work. According to the description on the website this should be included. Have I missed something? I have the combi/package of passenger and freighter version 1.4 on XP 10.42 Windows 8.0 64-bit.

 

Thanks

Word Not Allowed

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Hi,

 

I have installed the latest MCE for XP version yesterday just to be sure but apparently the support for the SSG 747-8 does not work. I saw that the support dll does not get installed into the MCE dll folder and no matter what I try I always get the generic Boeing checklist and no specific VoiceScripts. The VCP cannot change the headings etc and none of the commands work. According to the description on the website this should be included. Have I missed something? I have the combi/package of passenger and freighter version 1.4 on XP 10.42 Windows 8.0 64-bit.

 

Thanks

Word Not Allowed

 

SSG 747 definitely supported and FO can handle almost all 3D switches, not to mention MCP.

 

It hasn't been tested with the freighter version though, but pax version should be OK.

 

I assume you ran "InstallMCE" which begins by copying required dlls to X-Plane folder before firing MCE installation.

 

Suggest you un-install MCE, and manually delete <MCE dlls> from X-Plane installation folder (do it for all X-Plane installations if you have many). Then re-run "InstallMCE"

 

When prompted to provide X-Plane path ensure you provide it will the path for ALL installations.

 

If all goes well installer will add

 

\X-Plane 10\Resources\Plugins\xpInsider64.xpl

\X-Plane 10\Resources\Plugins\xpInsider32.xpl

\X-Plane 10\MCE dlls\64 Bit\   (many dlls here among them "xmcssg74.dll" (version 1.0.0.5) which is the one that interacts with SSG 747, at least the pax version).

\X-Plane 10\MCE dlls\32 Bit\   (many dlls here among them "xmcssg74.dll" (version 1.0.0.5)

 

Because there is no SDK, we have to find a way to identify which aircraft is loaded in the sim. That means relying on specific datarefs not changing between updates.

 

For instance, if the aircraft description text, manufacturer text, or ATC_Type text change, MCE won't see it as the supported SSG 747 and will interact with it as default. And almost nothing will work except gear and maybe radios tuning.

 

Confirm up and running.

 

Meanwhile, will check whether SSG has updated the aircraft since it was last checked and working.

Share this post


Link to post
Share on other sites

SSG 747 definitely supported and FO can handle almost all 3D switches, not to mention MCP.

 

It hasn't been tested with the freighter version though, but pax version should be OK.

 

I assume you ran "InstallMCE" which begins by copying required dlls to X-Plane folder before firing MCE installation.

 

Suggest you un-install MCE, and manually delete <MCE dlls> from X-Plane installation folder (do it for all X-Plane installations if you have many). Then re-run "InstallMCE"

 

When prompted to provide X-Plane path ensure you provide it will the path for ALL installations.

 

If all goes well installer will add

 

\X-Plane 10\Resources\Plugins\xpInsider64.xpl

\X-Plane 10\Resources\Plugins\xpInsider32.xpl

\X-Plane 10\MCE dlls\64 Bit\   (many dlls here among them "xmcssg74.dll" (version 1.0.0.5) which is the one that interacts with SSG 747, at least the pax version).

\X-Plane 10\MCE dlls\32 Bit\   (many dlls here among them "xmcssg74.dll" (version 1.0.0.5)

 

Because there is no SDK, we have to find a way to identify which aircraft is loaded in the sim. That means relying on specific datarefs not changing between updates.

 

For instance, if the aircraft description text, manufacturer text, or ATC_Type text change, MCE won't see it as the supported SSG 747 and will interact with it as default. And almost nothing will work except gear and maybe radios tuning.

 

Confirm up and running.

 

Meanwhile, will check whether SSG has updated the aircraft since it was last checked and working.

 

Hi,

 

I cleaned and reinstalled everything again, the MCE files are in the Folder, correct versions and it works for JARDesign Airbus etc.

 

It doesn't detect the passenger as well as the freighter version. I saw that you have folders in the VoiceScripts Copilot Aircraft folder for both SSG_B748-F and -I.

 

Could you tell me what exactly the xmcssg74.dll is looking for to detect? Maybe that has changed in 1.4 or XP 10.42 has changed something (wouldn't be the first problem I got with that release of X-Plane).

 

Thanks

Word Not Allowed

Share this post


Link to post
Share on other sites

 

 


Maybe that has changed in 1.4

 

Very likely something has changed above. X-Plane changes wouldn't affect it as we don't have anything related to graphics rendering.

 

To check what MCE info is seeing, go to "General" tab in MCE UI and clcik <More Options>

 

In "advanced options" panel click <View config>.

 

xpmce.ini will open in Notepad.

 

Change "Debug=0" to "Debug=1" and restart MCE.

 

At some point, you should see a dialog box listing information it gathered from current aircraft. 

 

Take screenshot, or write it down. Then send it to support.

 

If MCE finds expected info and sees it as the SSG 747 it was programmed to handle, it will instruct "xpInsider64.xpl" (running inside the sim) to load the correct dll from <MCE dlls> folder. In this case it would be loading "xmcSSG74.dll"

 

If for some reason information has changed completely, it would see it as not supported and will treat it as default. In that case it would instruct "xpInsider64.xpl" to load "xmcgener.dll" and only stuff that uses X-Plane default datarefs will work. A lot of aircraft fall into this category, and you could get MCP functionality with many, but not with SSG 747, FF 757, JAR A3X etc...

Share this post


Link to post
Share on other sites

Very likely something has changed above. X-Plane changes wouldn't affect it as we don't have anything related to graphics rendering.

 

To check what MCE info is seeing, go to "General" tab in MCE UI and clcik <More Options>

 

In "advanced options" panel click <View config>.

 

xpmce.ini will open in Notepad.

 

Change "Debug=0" to "Debug=1" and restart MCE.

 

At some point, you should see a dialog box listing information it gathered from current aircraft. 

 

Take screenshot, or write it down. Then send it to support.

 

If MCE finds expected info and sees it as the SSG 747 it was programmed to handle, it will instruct "xpInsider64.xpl" (running inside the sim) to load the correct dll from <MCE dlls> folder. In this case it would be loading "xmcSSG74.dll"

 

If for some reason information has changed completely, it would see it as not supported and will treat it as default. In that case it would instruct "xpInsider64.xpl" to load "xmcgener.dll" and only stuff that uses X-Plane default datarefs will work. A lot of aircraft fall into this category, and you could get MCP functionality with many, but not with SSG 747, FF 757, JAR A3X etc...

 

OK. did as instructed and sent the screenshots to support via e-mail. Let's hope we find something. Thanks for the help so far!

 

Word Not Allowed

Share this post


Link to post
Share on other sites

Hi,

 

MCE 1.2.9.0 for X-Plane and SSG 747-800 1.5.1 and we have the same problem. Can you have a look and get this fixed in the next version?

 

Thanks

Word Not Allowed

Share this post


Link to post
Share on other sites

Hi,

 

MCE 1.2.9.0 for X-Plane and SSG 747-800 1.5.1 and we have the same problem. Can you have a look and get this fixed in the next version?

 

Thanks

Word Not Allowed

 

Wilco

 

Thanks for reporting it.

 

I

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this